org.apache.fop.events

## Class Event.ParamsBuilder

- java.lang.Object
- - org.apache.fop.events.Event.ParamsBuilder

- Enclosing class:
    Event

      public static class Event.ParamsBuilder
      extends java.lang.Object

  This class is a fluent builder class for building up the parameter map.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParamsBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.Object>` | `build()` Returns the accumulated parameter map.
    `Event.ParamsBuilder` | `param(java.lang.String name, java.lang.Object value)` Adds a new parameter (a name/value pair).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParamsBuilder

          public ParamsBuilder()

  - ### Method Detail

    - #### param

          public Event.ParamsBuilder param(java.lang.String name,
                                           java.lang.Object value)

      Adds a new parameter (a name/value pair).
      Parameters:
        `name` - the name of the parameter
        `value` - the value of the parameter
      Returns:
        this instance

    - #### build

          public java.util.Map<java.lang.String,java.lang.Object> build()

      Returns the accumulated parameter map.
      Returns:
        the accumulated parameter map

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.